{% extends "layout.html" %}
{% from "includes/_formhelpers.html" import render_field %}includes
{% block body %}

<div class="container mt-2 mb-5">
  
  <div class="d-flex justify-content-center h-100 w-100 mb-2 mandala flex-wrap">
    <div class="d-flex flex-column mr-3 contact_form flex-grow">
        <h2 class="pageTitle">Contact</h2>

      <div class="p-2 flex-fill contactDetails">
        <!-- <p class="logo">Veda Organics</p> -->
        <p>2075 Motueka Valley Highway
          <br>RD1, Ngatimoti
          <br>Motueka, 7196
        </p>
        <p>Phone: (03) 546 8783</p>
      </div>
      <form action="{{ url_for('main_bp.contact') }}" method=post>

        <div class="d-flex flex-column">

          <div class="form-group">
            {{render_field(form.name,class_="form-control")}}
          </div>
          <div class="form-group">
            {{render_field(form.email,class_="form-control")}}
          </div>
          <div class="form-group">
            {{render_field(form.subject,class_="form-control")}}
          </div>
          <div class="form-group">
            {{render_field(form.message,class_="form-control")}}
          </div>
          <div class="form-group ml-auto">
            {{ form.submit }}
          </div>
        </div>
      </form>
    </div>

    <div class="flex-column flex-fill map_canvas_container flex-grow">
      <div class="map_canvas">
        <iframe class="gmap"
          src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d20709.698245875068!2d172.82159964960906!3d-41.228633986473!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x6d3b70b2273e2291%3A0xbb1f87f30764fe55!2s2075%20Motueka%20Valley%20Highway%2C%20Ngatimoti%207196!5e1!3m2!1sen!2snz!4v1575943305442!5m2!1sen!2snz"
          frameborder="0" style="border:0;" allowfullscreen=""></iframe>
      </div>
    </div>

  </div>
</div>


{% endblock %}